#include<stdio.h>
int main(){
int a, d;
scanf("%d",&a);
if((a<1000)||(a>9999)){
    printf("-1\n");
    return 1;
    }
d=(a%10-a%2)+(a/10%10-a/10%2)*10+(a/100%10-a/100%2)*100+(a/1000-a/1000%2)*1000;
/*broj d formiramo tako sto za svaku cifru prvo je odsecamo broju a, ako je neparna smanjujemo je, inace
 * ostaje nepromenjena, i dobija vrednost(tezinu) kakvu je imala u a)*/
printf("%d\n",d);
}
